<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="prt_doanhnghiep_th" language="groovy" pageWidth="800" pageHeight="600" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="760" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd') ngay1, to_char(sysdate,'mm') thang1, to_char(sysdate,'yyyy') nam1, to_char(sysdate,'dd/mm/yyyy') ngay_tt1 from dual]]>
		</queryString>
	</subDataset>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.pkg_doanhnghieps.report_doanhnghiep_func('{p0dataschema}','{p0ten}','{p0tungay}','{p0denngay}','{p0userid}','{p0quan_id}','{p0phuong_id}','2');end;]]>
	</queryString>
	<field name="ma_dn" class="java.lang.String"/>
	<field name="ten" class="java.lang.String"/>
	<field name="diachi" class="java.lang.String"/>
	<field name="ngay_tl" class="java.lang.String"/>
	<field name="nguoi_dd" class="java.lang.String"/>
	<field name="so_dd" class="java.lang.String"/>
	<field name="ngaysinh" class="java.lang.String"/>
	<field name="ma_kh" class="java.lang.String"/>
	<field name="quan" class="java.lang.String"/>
	<field name="so_kh" class="java.lang.Integer"/>
	<field name="phuong" class="java.lang.String"/>
	<variable name="countKH" class="java.lang.Integer" resetType="Group" resetGroup="rpt_group_quan" calculation="Sum">
		<variableExpression><![CDATA[$F{so_kh}]]></variableExpression>
	</variable>
	<variable name="countDN" class="java.lang.Integer" resetType="Group" resetGroup="rpt_group_quan" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{ma_dn}]]></variableExpression>
	</variable>
	<variable name="sum_KH" class="java.lang.Integer" calculation="Sum">
		<variableExpression><![CDATA[$F{so_kh}]]></variableExpression>
	</variable>
	<variable name="count_ma_dn" class="java.lang.Integer" resetType="Group" resetGroup="rpt_group_quan" calculation="Count">
		<variableExpression><![CDATA[$F{ma_dn}]]></variableExpression>
	</variable>
	<variable name="ten_1" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{ten}]]></variableExpression>
	</variable>
	<variable name="count_dn_p" class="java.lang.Integer" resetType="Group" resetGroup="rpt_phuong" calculation="Count">
		<variableExpression><![CDATA[$F{ma_dn}]]></variableExpression>
	</variable>
	<variable name="count_kh_p" class="java.lang.Integer" resetType="Group" resetGroup="rpt_phuong" calculation="Sum">
		<variableExpression><![CDATA[$F{so_kh}]]></variableExpression>
	</variable>
	<group name="rpt_group_quan">
		<groupExpression><![CDATA[$F{quan}]]></groupExpression>
		<groupHeader>
			<band height="26">
				<staticText>
					<reportElement x="192" y="0" width="99" height="26"/>
					<box rightPadding="3"/>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="14" isBold="true"/>
					</textElement>
					<text><![CDATA[Quận/ Huyện:]]></text>
				</staticText>
				<textField isBlankWhenNull="true">
					<reportElement x="291" y="0" width="292" height="26"/>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{quan}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="20">
				<textField isBlankWhenNull="true">
					<reportElement x="427" y="0" width="156" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{countKH}]]></textFieldExpression>
				</textField>
				<textField isBlankWhenNull="true">
					<reportElement x="291" y="0" width="136" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{count_ma_dn}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement stretchType="RelativeToBandHeight" x="192" y="0" width="99" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<text><![CDATA[Tổng quận:]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<group name="rpt_phuong">
		<groupExpression><![CDATA[$F{phuong}]]></groupExpression>
		<groupHeader>
			<band height="46">
				<staticText>
					<reportElement x="192" y="0" width="63" height="26"/>
					<box rightPadding="3"/>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="14" isBold="true"/>
					</textElement>
					<text><![CDATA[Phường:]]></text>
				</staticText>
				<textField isBlankWhenNull="true">
					<reportElement x="255" y="0" width="328" height="26"/>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{phuong}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement mode="Opaque" x="192" y="26" width="99" height="20"/>
					<box topPadding="0" leftPadding="5" bottomPadding="0" rightPadding="5">
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="14" isBold="true"/>
					</textElement>
					<text><![CDATA[Mã DN]]></text>
				</staticText>
				<staticText>
					<reportElement mode="Opaque" x="291" y="26" width="136" height="20"/>
					<box topPadding="0" leftPadding="5" bottomPadding="0" rightPadding="5">
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="14" isBold="true"/>
					</textElement>
					<text><![CDATA[Tên doanh nghiệp]]></text>
				</staticText>
				<staticText>
					<reportElement mode="Opaque" x="427" y="26" width="156" height="20"/>
					<box topPadding="0" leftPadding="5" bottomPadding="0" rightPadding="5">
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="14" isBold="true"/>
					</textElement>
					<text><![CDATA[Số khách hàng]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="20">
				<textField pattern="#,##0" isBlankWhenNull="true">
					<reportElement x="427" y="0" width="156" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{count_kh_p}]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0" isBlankWhenNull="true">
					<reportElement x="291" y="0" width="136" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{count_dn_p}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement stretchType="RelativeToBandHeight" x="192" y="0" width="99" height="20"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<text><![CDATA[Tổng phường:]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="172" splitType="Stretch">
			<staticText>
				<reportElement x="412" y="37" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="412" y="9" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa Việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="412" y="23" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Độc lập - Tự do - Hạnh phúc]]></text>
			</staticText>
			<image>
				<reportElement x="66" y="9" width="138" height="42"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="0" y="75" width="760" height="46"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="24" isBold="true"/>
				</textElement>
				<text><![CDATA[Thông tin tổng hợp khách hàng & doanh nghiệp ]]></text>
			</staticText>
			<staticText>
				<reportElement x="356" y="121" width="63" height="32"/>
				<box rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Đến ngày:]]></text>
			</staticText>
			<textField>
				<reportElement x="419" y="121" width="74" height="32"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{denngay}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="229" y="121" width="62" height="32"/>
				<box rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Từ ngày:]]></text>
			</staticText>
			<textField>
				<reportElement x="291" y="121" width="65" height="32"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{tungay}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="229" y="152" width="264" height="20"/>
				<textElement/>
				<text><![CDATA[]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="192" y="0" width="99" height="20"/>
				<box topPadding="0" leftPadding="5" bottomPadding="0" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_dn}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="291" y="0" width="136" height="20"/>
				<box topPadding="0" leftPadding="5" bottomPadding="0" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ten}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="427" y="0" width="156" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{so_kh}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="195" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="369" y="65" width="324" height="28"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam1").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="369" y="93" width="324" height="22"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Người thực hiện]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="369" y="115" width="324" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="369" y="45" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
		</band>
	</summary>
</jasperReport>
